<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:19 CST 2018 -->
<title>Uses of Class projectx.engine.state.State</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.engine.state.State";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/state/class-use/State.html" target="_top">Frames</a></li>
<li><a href="State.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.engine.state.State" class="title">Uses of Class<br>projectx.engine.state.State</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine">projectx.engine</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.state">projectx.engine.state</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> in <a href="../../../../projectx/engine/package-summary.html">projectx.engine</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../projectx/engine/package-summary.html">projectx.engine</a> declared as <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#gameState">gameState</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#mapBuilderMenuState">mapBuilderMenuState</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#mapBuilderState">mapBuilderState</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#menuState">menuState</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#multiplayerMenuState">multiplayerMenuState</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/package-summary.html">projectx.engine</a> that return <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#getGameState--">getGameState</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#getMapBuilderMenuState--">getMapBuilderMenuState</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#getMapBuilderState--">getMapBuilderState</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#getMenuState--">getMenuState</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#getMultiplayerMenuState--">getMultiplayerMenuState</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#getState--">getState</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/package-summary.html">projectx.engine</a> with parameters of type <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#setGameState-projectx.engine.state.State-">setGameState</a></span>(<a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;gameState)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#setMapBuilderMenuState-projectx.engine.state.State-">setMapBuilderMenuState</a></span>(<a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;mapBuilderMenuState)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#setMapBuilderState-projectx.engine.state.State-">setMapBuilderState</a></span>(<a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;mapBuilderState)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#setMenuState-projectx.engine.state.State-">setMenuState</a></span>(<a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;menuState)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#setMultiplayerMenuState-projectx.engine.state.State-">setMultiplayerMenuState</a></span>(<a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;multiplayerMenuState)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.state">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> in <a href="../../../../projectx/engine/state/package-summary.html">projectx.engine.state</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a> in <a href="../../../../projectx/engine/state/package-summary.html">projectx.engine.state</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/state/GameState.html" title="class in projectx.engine.state">GameState</a></span></code>
<div class="block">This class acts as the game state of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/state/MapBuilderMenuState.html" title="class in projectx.engine.state">MapBuilderMenuState</a></span></code>
<div class="block">This class acts as the state that allows the user to choose if they want to
 create a new map or modify an existing file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/state/MapBuilderState.html" title="class in projectx.engine.state">MapBuilderState</a></span></code>
<div class="block">This class acts as the state that allows the user to create and modify the maps in the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/state/MenuState.html" title="class in projectx.engine.state">MenuState</a></span></code>
<div class="block">This class acts as the menu state of the game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/state/MultiplayerMenuState.html" title="class in projectx.engine.state">MultiplayerMenuState</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/state/package-summary.html">projectx.engine.state</a> that return <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></code></td>
<td class="colLast"><span class="typeNameLabel">State.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/state/State.html#getState--">getState</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/state/package-summary.html">projectx.engine.state</a> with parameters of type <a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">State.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/state/State.html#setState-projectx.engine.state.State-">setState</a></span>(<a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a>&nbsp;state)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/engine/state/State.html" title="class in projectx.engine.state">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/state/class-use/State.html" target="_top">Frames</a></li>
<li><a href="State.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
